This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 883433 - Remote-Viewer: Cannot Use the + and - from the Number Pad to Zoom In/Zoom Out
Remote-Viewer: Cannot Use the + and - from the Number Pad to Zoom In/Zoom Out
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.4
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Marc-Andre Lureau
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 10:29 EST by Vimal Patel
Modified: 2016-05-19 10:17 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 921326 (view as bug list)
Environment:
Last Closed: 2014-09-25 09:57:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vimal Patel 2012-12-04 10:29:22 EST
Description of problem:
Cannot use the + and - from the number pad to zoom in.  Most application that use + and - accept both the number pad + and - and the + and - from the qwerty keyboard.  Remote-Viewer only accepts the + and - from the qwerty keyboard not the number pad.

*Tested on RHEL 6.4beta client

Version-Release number of selected component (if applicable):
virt-viewer-0.5.2-16.el6.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Try to use ctrl + and - from the number pad to zoom in & zoom out
2.
3.
  
Actual results:
Nothing happens

Expected results:
Zoom In/Zoom Out

Additional info:
Comment 2 Vimal Patel 2012-12-04 11:10:44 EST
Same issue with Normal Size (Ctrl + 0) works with the qwerty keyboard, it doesnt work when using the Number Pad (Ctrl + 0)
Comment 3 David Jaša 2012-12-04 12:28:59 EST
Confirmed. Alphanumeric keyboard works like charm even when there has to be shift pressed ("ctrl shift =" on en_US layout to get ctrl + on en_us layout, "ctrl shift é" on cs_CZ to get ctrl 0) but when using numeric keys, nothing happens.
Comment 6 Marc-Andre Lureau 2013-05-08 10:06:23 EDT
please reporter, either open as duplicate or add correct bug dependencies...

This bug was reported for mingw-virt-viewer too #921218, and here is the comment I left:

I opened an upstream bug to Gtk+. If it's acceptable, the solution should be pretty trivial.

https://bugzilla.gnome.org/show_bug.cgi?id=699823
Comment 8 Fabiano Fidêncio 2014-09-12 10:45:46 EDT
Ah, this bug also requires the following patch (https://www.redhat.com/archives/virt-tools-list/2014-September/msg00053.html) to fix a regression introduced with the previous fix.
Comment 9 Christophe Fergeau 2014-09-12 11:52:33 EDT
(In reply to Fabiano Fidêncio from comment #8)
> Ah, this bug also requires the following patch
> (https://www.redhat.com/archives/virt-tools-list/2014-September/msg00053.
> html) to fix a regression introduced with the previous fix.

"previous fix" is commit v1.0-23-g3a16881
Comment 10 Fabiano Fidêncio 2014-09-25 09:57:43 EDT
Copying from:
https://bugzilla.redhat.com/show_bug.cgi?id=921326#c7

"Okay, the current situation is:
- Only one accelerator can be used per widget, unless we start using GApplication for the {remote,virt}-viewer, what is something I wouldn't like to do/have as long as we are still maintaining GTK2 support.
- A way to workaround this is having 2 widgets, with different accelerators (aka, one accelerator per widget) and then we have the menu items being duplicated, what I don't think is acceptable."

So, I'm closing the bug as WONTFIX here.

Note You need to log in before you can comment on or make changes to this bug.